#
# spec file for package qsapecng
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qsapecng
Version:        2.0.0
Release:        4.5
Summary:        Qt-based program for symbolic analysis of linear analog circuits
License:        GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            http://qsapecng.sourceforge.net/
Source0:        http://downloads.sourceforge.net/qsapecng/QSapecNG-%{version}-source.tar.gz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-devel
BuildRequires:  qwt-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QSapecNG is a Qt-based program for symbolic analysis of linear analog circuits.
In fact, it consists of two indipendent parts: the SapecNG framework engine
and the application gui QSapecNG. It comes as continuation of SapWin for Windows,
in order to give to the project a full compatibility on other platforms.
Through SapecNG/QSapecNG users can draw, solve and analyze analog circuits as well
as manage them. There is also the full support for sub-circuits, which can be created,
saved, reopened and added as a part of the other circuits.

%prep
%setup -q -n QSapecNG-%{version}-source
sed -i 's/\r$//' README
sed -i 's/add_definitions( -ansi -Wall -O0 -g )/add_definitions( -ansi -Wall )/' CMakeLists.txt

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r %{name} "Education;Engineering"

%files
%defattr(-,root,root)
%doc AUTHOR LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/qsapecng.svg

%changelog
* Tue Oct 28 2014 dmitry_r@opensuse.org
- Initial package, version 2.0.0
